<?php

namespace Litecms\BusesCategory;

use User;

class BusesCategory
{
    /**
     * $buses_category object.
     */
    protected $buses_category;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\BusesCategory\Interfaces\BusesCategoryRepositoryInterface $buses_category)
    {
        $this->buses_category = $buses_category;
    }

    /**
     * Returns count of buses_category.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.buses_category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->buses_category->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\BusesCategoryUserCriteria());
        }

        $buses_category = $this->buses_category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('buses_category::' . $view, compact('buses_category'))->render();
    }
}
