<?php

namespace Litecms\BusesCategory\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BusesCategoryTransformer extends TransformerAbstract
{
    public function transform(\Litecms\BusesCategory\Models\BusesCategory $buses_category)
    {
        return [
            'id'                => $buses_category->getRouteKey(),
            'key'               => [
                'public'    => $buses_category->getPublicKey(),
                'route'     => $buses_category->getRouteKey(),
            ], 
            'name'              => $buses_category->name,
            'status'            => $buses_category->status,
            'url'               => [
                'public'    => trans_url('buses_category/'.$buses_category->getPublicKey()),
                'user'      => guard_url('buses_category/buses_category/'.$buses_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$buses_category->status),
            'created_at'        => format_date($buses_category->created_at),
            'updated_at'        => format_date($buses_category->updated_at),
        ];
    }
}